import { useMemo } from 'react';

import { type TFunction } from 'i18next';

import { useLokaliseTranslation } from 'src/utils/i18n';

import { duplicateArticleSchema } from '../schemas';

export const useArticleDuplicateSchema = () => {
  const { t } = useLokaliseTranslation('general');

  return useMemo(() => duplicateArticleSchema(t as TFunction), [t]);
};
